/*----------------------------------------------------------------------------*/
/* TMS570LS313xFlashLnk.cmd                                                 */
/*                                                                            */
/* (c) Texas Instruments 2011, All rights reserved.                           */
/*                                                                            */

/* USER CODE BEGIN (0) */
/* USER CODE END */


/*----------------------------------------------------------------------------*/
/* Linker Settings                                                            */
--retain="*(.intvecs)"

/*----------------------------------------------------------------------------*/
/* Memory Map                                                                 */
MEMORY{
	/* Bank 0 */
    VECTORS (X)  : origin=0x00000000 length=0x00000020 vfill=0xffffffff
    FLASH0  (RX) : origin=end(VECTORS) length=(0x00020000 - size(VECTORS)) vfill=0xffffffff

	/* Bank 7 (FEE) */
	FLASH7  (R)  : origin=0xF0200000 length=0x00004000 vfill=0xffffffff


	/* Bank 0 ECC */
    ECC_VEC  (R) : origin=(0xf0400000 + (start(VECTORS) >> 3))
                   length=(size(VECTORS) >> 3)
                   ECC={algorithm=algoR4F021, input_range=VECTORS}

    ECC_FLA0 (R) : origin=(0xf0400000 + (start(FLASH0)  >> 3))
                   length=(size(FLASH0)  >> 3)
                   ECC={algorithm=algoR4F021, input_range=FLASH0 }

   /* Bank 7 ECC */
    ECC_FLA7 (R) : origin=0xF0100000
                   length=(size(FLASH7)  >> 3)
                   ECC={algorithm=algoR4F021, input_range=FLASH7 }

	/* OTP Bank 0 */
	AJSMKey (R)  : origin=0xF0000000 length=0x00000010 vfill=0xffffffff
	OTP0    (R)  : origin=0xF0000010 length=0x00001FF0 vfill=0xffffffff
	AJSMECC (R)  : origin=0xF0040000 length=0x00000002 vfill=0xffffffff ECC={algorithm=algoR4F021, input_range=AJSMKey}

	/* Embedded SRAM (32kB) */
    STACKS  (RW) : origin=0x08000000 length=0x00001500
    RAM     (RW) : origin=end(STACKS)
                   length=(0x00008000 - size(STACKS))
}

/*----------------------------------------------------------------------------*/
/* Section Configuration                                                      */
SECTIONS{
    .intvecs : palign(8) {} > VECTORS
    .text    : palign(8) {} > FLASH0
    .const   : palign(8) {} > FLASH0
    .cinit   : palign(8) {} > FLASH0
    .pinit   : palign(8) {} > FLASH0

    AJSM_Sec : palign(8) {} > AJSMKey

    .bss     : {} > RAM
    .data    : {} > RAM
}

/*----------------------------------------------------------------------------*/
/* Misc                                                                       */
ECC {
    algoR4F021 : address_mask = 0x003ffff8 /* Address Bits 21:3 */
                 hamming_mask = R4         /* Use R4 build in Mask */
                 parity_mask  = 0x0c       /* Set which ECC bits are Even and Odd parity */
                 mirroring    = F021       /* RM4x and TMS570LSx are build in F021 */
}

/*----------------------------------------------------------------------------*/
